package cn.timer.api.utils.resumesdk;

import cn.timer.api.dto.resumesdk.ResumeSdkDto;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestTemplate;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Component
public class ResumeSDKUtil {

    public ResponseEntity<String> getResumeByCvParser(ResumeSdkDto resumeSdkDto, String appCode){
        String url = "http://resumesdk.market.alicloudapi.com/ResumeParser";
        MultiValueMap<String, String> headers = new LinkedMultiValueMap<>();
        List<String> list = new ArrayList<>();
        list.add("Authorization");
        list.add("APPCODE " + appCode);
        list.add("Content-Type");
        list.add("application/json; charset=UTF-8");
        list.add("Content-Type");
        list.add("application/json");
        headers.put("header", list);
        HttpEntity requestEntity = new HttpEntity(resumeSdkDto, headers);
        return new RestTemplate().exchange(url, HttpMethod.POST,requestEntity, String.class);
    }
}
